Page MenuHomePhabricator

template with /doc subpage interwiki.py has problem
Closed, DuplicatePublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/1366/
Reported by: reza1615
Created on: 2011-10-24 03:23:28
Subject: template with /doc subpage interwiki.py has problem
Assigned to: xqt
Original description:
Hi,
i came across a problom with templates that have /doc subpage. if some of interwikis don't have /doc it confuses and delete other interwikis
cases
http://en.wikipedia.org/w/index.php?title=Template:Cite\_encyclopedia/doc&diff=456822554&oldid=455776134


Version: unspecified
Severity: normal
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/1366

Details

Reference
bz55231

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:28 AM
bzimport set Reference to bz55231.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:47 AM
  • summary: template with /doc subpage interwiki has problem --> template with /doc subpage interwiki.py has problem

this came from a wrong \(doc\)-subpage on vi-wiki which was not "official". vi-wiki has a documetation template too which uses /doc subpages. Somebody meant he had to localize it to a new form with \(doc\) ending \(I found only that example who gave the failure\). I repared it \[1\] and I guess it should work as expected. I also found interwiki links between doc strings from subpage to subpage and deleted them.

\[1\] http://vi.wikipedia.org/wiki/B%E1%BA%A3n\_m%E1%BA%ABu:Ch%C3%BA\_th%C3%ADch\_b%C3%A1ch\_khoa\_to%C3%A0n\_th%C6%B0\_%28doc%29

  • assigned_to: nobody --> xqt
  • status: open --> pending
  • status: pending --> open

I found duplicate interwiki links on /doc subpages for several sites: one for <includeonly>, one for <noinclude>. Pywikibot cannot handle this case. Normally this does not matter the bot. It should not lead to any subpage. Unfortunately fa-wiki uses a not documented subpage. I asked Amir for a comment.

  • status: open --> open-accepted

This appears to be a duplicate of, or at least closely related to, bug 1924322: https://sourceforge.net/tracker/?func=detail&aid=1924322&group\_id=93107&atid=603138

Could be a duplicate of Bug 54570 and Bug 55323

  • This bug has been marked as a duplicate of bug 55323 ***
Restricted Application added a subscriber: Cyberpower678. · View Herald TranscriptFeb 4 2019, 2:00 PM